Zuletzt geprüft:
Bounce (Hard Bounce und Soft Bounce)
Kurz gesagt: Ein Bounce ist eine E-Mail, die nicht zugestellt werden konnte und als Fehlermeldung an den Absender zurückkommt. Beim Hard Bounce ist der Grund dauerhaft, etwa eine Adresse, die es nicht gibt; beim Soft Bounce ist er vorübergehend, etwa ein volles Postfach.
Wie ein Bounce entsteht
Mailserver antworten auf jeden Schritt der Zustellung mit einem dreistelligen Code. Entscheidend ist die erste Ziffer (RFC 5321, Abschnitt 4.2.1):1
- 4yz – vorübergehend gescheitert. Dieselbe Anfrage kann später unverändert gelingen; der sendende Server soll es erneut versuchen.
- 5yz – dauerhaft gescheitert. Der sendende Server soll genau diese Anfrage nicht wiederholen.
Erweiterte Statuscodes nach RFC 3463 nennen den Grund genauer.2 Sie haben drei Teile, zum Beispiel 5.1.1: Die erste Zahl ist die Klasse (4 vorübergehend, 5 dauerhaft), die zweite das Gebiet (1 Adresse, 2 Postfach, 7 Sicherheit und Richtlinien), die dritte das Detail.
Lehnt der Empfänger schon während der Verbindung ab, sieht das Versandsystem den Code sofort. Scheitert die Zustellung erst später auf dem Weg, schreibt der Server, der aufgibt, eine Benachrichtigung an die Rücklaufadresse. Solche Nachrichten verschickt er selbst mit leerer Rücklaufadresse, damit keine Schleife aus Fehlermeldungen entsteht (RFC 5321, Abschnitt 3.6.3).1
Hard Bounce und Soft Bounce im Vergleich
| Hard Bounce | Soft Bounce | |
|---|---|---|
| Klasse | 5 (dauerhaft) | 4 (vorübergehend) |
| typische erweiterte Codes | 5.1.1 Adresse unbekannt | 4.2.2 Postfach voll |
| Wiederholung | nicht unverändert | ja, später |
| üblicher Umgang | Adresse aus dem Verteiler nehmen | beobachten; scheitert die Adresse immer wieder, wie einen Hard Bounce behandeln |
Nicht jeder Code der Klasse 5 bedeutet eine tote Adresse. 5.7.1 heißt „Zustellung nicht erlaubt, Nachricht abgelehnt“ und kann etwa auf eine Blocklist oder fehlende Authentifizierung zurückgehen. Dann hilft es, zuerst die Ursache zu klären, statt die Adresse zu löschen.
Verwechslungsgefahr
- Bounce Rate in der Webanalyse: In Google Analytics heißt „Absprungrate“ der Anteil der Sitzungen ohne Interaktion.3 Das hat mit nicht zugestellten E-Mails nichts zu tun; im E-Mail-Marketing meint Bounce-Rate nicht zustellbare E-Mails geteilt durch versendete.
- Abwesenheitsnotiz: Eine automatische Antwort „Bin im Urlaub“ ist kein Bounce. Die Nachricht wurde zugestellt.
- Spam-Ordner: Landet eine E-Mail im Spam-Ordner, gab es ebenfalls keinen Bounce, denn der Server hat sie angenommen.
Beispiel
Eine Benachrichtigung über einen Fehlschlag hat ein festes, maschinenlesbares Format (RFC 3464).4 Der wichtigste Teil sieht etwa so aus, hier mit Beispieladressen:
Final-Recipient: rfc822;anna@example.de
Action: failed
Status: 5.1.1
Diagnostic-Code: smtp; 550 5.1.1 user unknown
Action: failed und der Status 5.1.1 zeigen: dauerhaft gescheitert, die Adresse gibt es nicht. Ein Versandsystem wertet genau diese Felder aus und markiert die Adresse als Hard Bounce.
Häufige Fragen
Was ist der Unterschied zwischen Hard Bounce und Soft Bounce? Der Hard Bounce hat einen dauerhaften Grund (Klasse 5), der Soft Bounce einen vorübergehenden (Klasse 4). Den ersten soll der Server nicht unverändert wiederholen, den zweiten schon.
Wann wird aus einem Soft Bounce ein Hard Bounce? Einen festen Wert legt kein Standard fest; RFC 5321 regelt nur den einzelnen Zustellversuch. Scheitert eine Adresse über mehrere Aussendungen hinweg immer wieder vorübergehend, ist es sinnvoll, sie wie einen Hard Bounce zu behandeln. Wie Ihr Versandsystem das handhabt, steht in dessen Dokumentation.
Woran erkenne ich die Ursache? Am erweiterten Statuscode und am Text der Fehlermeldung. 5.1.x betrifft die Adresse, 4.2.x und 5.2.x das Postfach, 5.7.x Sicherheit und Richtlinien des Empfängers.
Verwandte Begriffe
Passendes Werkzeug
- Kennzahlen-Rechner: rechnet Bounce-Rate und Zustellrate aus den Zahlen Ihres Versandsystems.